%define oname   autotest

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 4
Summary:    Autotest, without ZenTest
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/grosser/autotest
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(jeweler)
BuildRequires: rubygem(shoulda)
Requires:   ruby(abi) = 1.8
Conflicts:  rubygem(ZenTest)
BuildArch:  noarch

%description
Autotest, without ZenTest

%files
%defattr(-, root, root, -)
%{_bindir}/unit_diff
%{_bindir}/autotest
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.markdown
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 09 2011 shikamaru <shikamaru> 4.2.9-4.mga1
+ Revision: 82555
- add conflicts against ZenTest

* Fri Feb 04 2011 shikamaru <shikamaru> 4.2.9-3.mga1
+ Revision: 46845
- Add check section
- bump rel
- add buildrequires

* Tue Jan 25 2011 shikamaru <shikamaru> 4.2.9-2.mga1
+ Revision: 39429
- imported package ruby-autotest


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 4.2.9-2mdv2011.0
- Apply new mageia policy
- Apply general mageia rules

* Wed Dec 01 2010 Rémy Clouard <shikamaru@mandriva.org> 4.2.9-1mdv2011.0
+ Revision: 604611
- import rubygem-autotest

